From 9c7d744f3e7cb9e6bfb34212657b16b8d716160a Mon Sep 17 00:00:00 2001
From: Shaily <shaily15297@yahoo.com>
Date: Feb 05 2018 14:33:19 +0000
Subject: [PATCH 31/32] Issues: Refactoring views.py


---

diff --git a/hubs/widgets/issues/views.py b/hubs/widgets/issues/views.py
index 80f4566..a7d2d5c 100644
--- a/hubs/widgets/issues/views.py
+++ b/hubs/widgets/issues/views.py
@@ -16,14 +16,13 @@ class DataView(WidgetView):
     def get_context(self, instance, *args, **kwargs):
 
         if instance.hub.hub_type == "stream":
-            user_hub = Hub.query.filter_by(name=instance.hub.name).first()
-            bugzilla_email = user_hub.config.get('bugzilla_email')
-            github_username = user_hub.config.get('github_username')
-            pagure_username = user_hub.config.get('pagure_username')
+            watched_hub = Hub.query.filter_by(name=instance.hub.name).first()
         else:
-            bugzilla_email = instance.hub.config.get('bugzilla_email')
-            github_username = instance.hub.config.get('github_username')
-            pagure_username = instance.hub.config.get('pagure_username')
+            watched_hub = instance.hub
+
+        bugzilla_email = watched_hub.config.get('bugzilla_email')
+        github_username = watched_hub.config.get('github_username')
+        pagure_username = watched_hub.config.get('pagure_username')
 
         if not (bugzilla_email or github_username or pagure_username):
             return dict(

